normalize.quantiles.probeset {affyPLM} | R Documentation

## Quantile Normalization applied to probesets

### Description

Using a normalization based upon quantiles, this function normalizes a matrix of probe level intensities.

### Usage

      normalize.AffyBatch.quantiles.probeset(abatch,type=c("separate","pmonly","mmonly","together"),use.median=FALSE,use.log=TRUE)

### Arguments

`abatch` | An `AffyBatch`
`type` | how should MM and PM values be handled
`use.median` | use median rather than mean
`use.log` | take logarithms, then normalize

### Details

This function applies the quantile method in a probeset specific manner.

In particular a probeset summary is normalized using the quantile method and then the probes adjusted accordingly.

### Value

A normalized `AffyBatch`.

### Author(s)

Ben Bolstad, bolstad@stat.berkeley.edu

### References

Bolstad, B (2001) Probe Level Quantile Normalization of High Density Oligonucleotide Array Data. Unpublished manuscript http://oz.berkeley.edu/~bolstad/stuff/qnorm.pdf

Bolstad, B. M., Irizarry R. A., Astrand, M, and Speed, T. P. (2003) A Comparison of Normalization Methods for High Density Oligonucleotide Array Data Based on Bias and Variance. Bioinformatics 19(2) ,pp 185-193. http://www.stat.berkeley.edu/~bolstad/normalize/normalize.html

### See Also

`normalize`, `normalize.quantiles`

[Package affyPLM version 1.3.3 Index]